export function omitProps(oldProps: { [key: string]: any }, excludeProps: string[]) {
  const newProps = {};
  for (const key in oldProps) {
    if (excludeProps.includes(key)) {
      continue;
    }
    newProps[key] = oldProps[key];
  }
  return newProps;
}
